# Uses of Class
org.eclipse.jdt.core.refactoring.descriptors.IntroduceParameterObjectDescriptor.Parameter

Packages that use IntroduceParameterObjectDescriptor.Parameter
Package
Description
org.eclipse.jdt.core.refactoring.descriptors
Application programming interface to access Java refactorings provided by JDT.

## Uses of IntroduceParameterObjectDescriptor.Parameter in org.eclipse.jdt.core.refactoring.descriptors

Fields in org.eclipse.jdt.core.refactoring.descriptors declared as IntroduceParameterObjectDescriptor.Parameter
Modifier and Type
Field
Description
`static final IntroduceParameterObjectDescriptor.Parameter`
IntroduceParameterObjectDescriptor.`PARAMETER_OBJECT`
Singleton instance that represents the parameter object
Methods in org.eclipse.jdt.core.refactoring.descriptors that return IntroduceParameterObjectDescriptor.Parameter
Modifier and Type
Method
Description
`static IntroduceParameterObjectDescriptor.Parameter[]`
IntroduceParameterObjectDescriptor.`createParameters(IMethod method)`
Creates the parameters for this method.
`IntroduceParameterObjectDescriptor.Parameter[]`
IntroduceParameterObjectDescriptor.`getParameters()`
Returns the parameters.
Methods in org.eclipse.jdt.core.refactoring.descriptors with parameters of type IntroduceParameterObjectDescriptor.Parameter
Modifier and Type
Method
Description
`void`
IntroduceParameterObjectDescriptor.`setParameters(IntroduceParameterObjectDescriptor.Parameter[] parameters)`
Sets the parameters.